GNU bug report logs - #42653
28.0.50; scroll-margin is sometimes ignored with hl-line/display-line-numbers-mode

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Kevin Liu <kevin@HIDDEN>; dated Sat, 1 Aug 2020 16:27:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 42653 <at> debbugs.gnu.org:


Received: (at 42653) by debbugs.gnu.org; 11 Sep 2020 10:29:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 11 06:29:19 2020
Received: from localhost ([127.0.0.1]:42472 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kGgIx-000563-7h
	for submit <at> debbugs.gnu.org; Fri, 11 Sep 2020 06:29:19 -0400
Received: from quimby.gnus.org ([95.216.78.240]:49694)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1kGgIt-00055m-0y
 for 42653 <at> debbugs.gnu.org; Fri, 11 Sep 2020 06:29:17 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=c1m59whQB0p+aePtDfbY0MNkKs9CLV2AqO4ZUEfF7Ug=; b=nYlYwCreKqWVVzEuACnRySk4kq
 Wf6FvOTrF9tXBpQqh3amI+sLT7ndlPlCDZwlaIrVPwoH0QlWzphdWgAnPUkqDZISuzt+ZFNl427nc
 8WgW1pbPtlqtp3/W8bPx/DUPEOpUJnuUivFt4PN6CGWm72zF6Jyy5dTSDnmghJI1fWR0=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1kGgIj-0000mN-7B; Fri, 11 Sep 2020 12:29:08 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Dale Sedivec <dale@HIDDEN>
Subject: Re: bug#42653: Emacs now recentering very aggressively
References: <87r1sqtzsy.fsf@HIDDEN>
 <3CEF44D3-EBBB-4F8E-99E0-0CB4A1010707@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAElBMVEUZFRcrJimFe35c
 VFiaj5D///8ztEFsAAAAAWJLR0QF+G/pxwAAAAd0SU1FB+QJCwoXOyIP/iAAAAGkSURBVDjLfZSB
 0dsgDIUhXgCiLoDQAEZigQL7z1QZMMb/tdVd4oQv0pP0HBvjvHXGWd/DuX4xV9gwLvodMPgNyAJC
 dWS6fpL+D65PTMWZBQ5ZQDIOYN7AQK767m4QHsAXMHdXS8MctAPjF7BURoP7gKMtFL9+ap+uPIhE
 rWzfGjqbaLD7CaAD5PMGs5SF5CUKYZjguJcIQQFSWWCuPeUqjNRqsGbXsImrKlCJYqzbBjwSVC+I
 mubsuWlcAKRgBQW7H0f6VoBCmnFOo8ICmkQYJU0gSzwBUkQRGA7CzMg1fSMhpglWKYq6EUJKLCMj
 PUD7FYzM52aLgiCeO8Bz07AXSIyJI5fzNQd1CbVqgjV58brEglqqjYxR6pOqOptY24q0l/rIb4EI
 jCg1n3u7EkDXyBi95JeGBOGie1eDZ6k4AGsJXcgDjgkkxdwi0wVeDn5jyuprDnCXmhq/9LChTpLu
 UhNwBGpNb5M14A1CB60AduBvP3R9pbXS6hdfGZ/oswJFRO21dvHUelSE/faxAG1GfT8AQK5DfMDz
 f1ph/hV/gz1D9PUHSRlZMz3LMQMAAAAldEVYdGRhdGU6Y3JlYXRlADIwMjAtMDktMTFUMTA6MjM6
 NTkrMDA6MDAIPQn+AAAAJXRFWHRkYXRlOm1vZGlmeQAyMDIwLTA5LTExVDEwOjIzOjU5KzAwOjAw
 eWCxQgAAAABJRU5ErkJggg==
X-Now-Playing: Rema Rema's _Fond Reflections (1): Demos and Demolitions_:
 "Rema-Rema (Hallorans Live)"
Date: Fri, 11 Sep 2020 12:29:04 +0200
In-Reply-To: <3CEF44D3-EBBB-4F8E-99E0-0CB4A1010707@HIDDEN> (Dale Sedivec's
 message of "Thu, 10 Sep 2020 16:18:55 -0500")
Message-ID: <87tuw41ua7.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Dale Sedivec <dale@HIDDEN> writes: > 2. Display anything
 in the header line: (setq-default header-line-format "foo" [...] > Expected
 behavior: Point is sitting at the bottom line of the window > no matter how
 many times you page up > > Observed behavior: The window is recentered, usually
 after ever page > up, with a slig [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42653
Cc: 42653 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Dale Sedivec <dale@HIDDEN> writes:

> 2. Display anything in the header line: (setq-default header-line-format "foo"
[...]

> Expected behavior: Point is sitting at the bottom line of the window
> no matter how many times you page up
>
> Observed behavior: The window is recentered, usually after ever page
> up, with a slight delay

Ah!  So that's what this is.  I spent some time the other day tracking
down why this was happening in erc buffers, so I was looking at recent
erc changes.  But erc is one of the few modes I have with a header line
that I sometimes scroll back in, so that explains it.

> I can stop this from happening with (setq scroll-conservatively 101),
> so perhaps the behavior is intentional?  However, the fact that point
> stays at the bottom of the window for a brief instant, and then only
> recenters when (I am **guessing**) which-func-update runs leads me to
> believe this is unintentional behavior.

Yes, it's definitely unintentional.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42653; Package emacs. Full text available.

Message received at 42653 <at> debbugs.gnu.org:


Received: (at 42653) by debbugs.gnu.org; 10 Sep 2020 21:19:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 10 17:19:05 2020
Received: from localhost ([127.0.0.1]:41443 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kGTyD-0006oP-1D
	for submit <at> debbugs.gnu.org; Thu, 10 Sep 2020 17:19:05 -0400
Received: from mail-io1-f46.google.com ([209.85.166.46]:36760)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dale@HIDDEN>) id 1kGTyA-0006nn-4S
 for 42653 <at> debbugs.gnu.org; Thu, 10 Sep 2020 17:19:03 -0400
Received: by mail-io1-f46.google.com with SMTP id d190so8817688iof.3
 for <42653 <at> debbugs.gnu.org>; Thu, 10 Sep 2020 14:19:02 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=codefu-org.20150623.gappssmtp.com; s=20150623;
 h=from:content-transfer-encoding:mime-version:subject:message-id:date
 :to; bh=zOxApt+WcDc1S9nqxUCoZUcGnaAoHw0v8eH/TGcKvqY=;
 b=mjJONGO3qQ1JZpw9IibF6qWQMkOapgFS8gRCMHfA/jBA+05wU57+daad9325d7jT0u
 DkGiQy32T3BmwH1sYWJBRlOMlI7EMo7uGIRMpItstecWnxJ0/ktBCNOpUjVlOadNESlY
 +tacBZVVoMQohBsjJufaqSyPoiPIoUw77KLQ9CtN0QO1DSoDvBI4h9MEuN73j2zb7tZf
 LkAVTeuC1kxZ9qaSWTTnuvLIaRMBeMuhNiv8sIywiJ3fYp6AGEALgBDs6EwpkmqOxKb2
 4ycTgwEC4rBTefoSQQkJegwgUQGt7DcRKdZbzBQ7WL762jupT3gkNzJerAIpCpnAcv26
 RF9A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:content-transfer-encoding:mime-version
 :subject:message-id:date:to;
 bh=zOxApt+WcDc1S9nqxUCoZUcGnaAoHw0v8eH/TGcKvqY=;
 b=aI7fuzOgX39WE1h0JHl4Ri7ObmEXz8EyRAL5+7qwyn5KogJO1hf0BoFZ4xARMuupAy
 NgIVUPB1SdG3NUN9+fRCFA9jAR9XGxZMK0kVJhUxKXsFAu/Lgj6M6/kebsJUbBnVA/qd
 Nw6Cv5aWb9vZqTw6UNko6SlRhZ2RrInZ/LiR4DlPSDIKKz7XV1oGC5BFtk6juFs4KDhc
 TcgkbsS8btH4CEu6CLm9K8pCzIc+XYsdJ88kVv18jypDq5BJdBso+E1S/C5pGtocNBRH
 /v01C1Mebp/e8ugEiSvvqOeg1zCiSt6taAq3f4RHKh/wo8FzMimP3tcK2kBPKk3a9F/L
 iJ/g==
X-Gm-Message-State: AOAM531OIyJs2H4mVmloi4AC+DGOUuF38ifFVJqcXG4dNuLu/cNVBkgs
 FRXGfnuHTfkff6Eo9C69Rv4rfV+yXF5O71FF
X-Google-Smtp-Source: ABdhPJwYYmyl730KQcpskHvvZo8OnqOuZi/Ze4Mc543+nZtmWSSLtlYYXELYZhw2R+7ITi1KvGcwqg==
X-Received: by 2002:a05:6602:150c:: with SMTP id
 g12mr9395510iow.173.1599772736077; 
 Thu, 10 Sep 2020 14:18:56 -0700 (PDT)
Received: from dale.caliginous.net (152.160.30.136.in-addr.arpa.
 [136.30.160.152])
 by smtp.gmail.com with ESMTPSA id j62sm127009iof.53.2020.09.10.14.18.55
 for <42653 <at> debbugs.gnu.org>
 (version=TLS1_2 cipher=ECDHE-ECDSA-AES128-GCM-SHA256 bits=128/128);
 Thu, 10 Sep 2020 14:18:55 -0700 (PDT)
From: Dale Sedivec <dale@HIDDEN>
Content-Type: text/plain;
	charset=us-ascii
Content-Transfer-Encoding: quoted-printable
Mime-Version: 1.0 (Mac OS X Mail 12.4 \(3445.104.15\))
Subject: Emacs now recentering very aggressively
Message-Id: <3CEF44D3-EBBB-4F8E-99E0-0CB4A1010707@HIDDEN>
Date: Thu, 10 Sep 2020 16:18:55 -0500
To: 42653 <at> debbugs.gnu.org
X-Mailer: Apple Mail (2.3445.104.15)
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42653
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi, as of commit a07ec21bf24b, which is said to address bug #42653, =
Emacs started recentering as I scroll up.  Here's a minimal reproduction =
case:

1. emacs -Q

2. Display anything in the header line: (setq-default header-line-format =
"foo")

3. Open any file longer than a few screenfuls: M-x find-library RET subr =
RET

4. Enable which-function-mode: M-x which-function-mode RET

(display-line-numbers-mode also triggers this problem, but I find =
which-function-mode more interesting since it doesn't change the display =
of the buffer at all, only the mode line.)

5. M-> (end-of-buffer)

6. Page up a few times with M-v (scroll-down-command)

Expected behavior: Point is sitting at the bottom line of the window no =
matter how many times you page up

Observed behavior: The window is recentered, usually after ever page up, =
with a slight delay

Here's a video of this behavior, in case it helps: =
https://www.dropbox.com/s/i7m2h9ltwrpxxy3/emacs_scrolling.mp4?dl=3D0

emacs-version: GNU Emacs 28.0.50 (build 1, x86_64-apple-darwin18.7.0, NS =
appkit-1671.60 Version 10.14.6 (Build 18G6020)) of 2020-09-10

I built this today from master, 70a8d06fe1.

I can stop this from happening with (setq scroll-conservatively 101), so =
perhaps the behavior is intentional?  However, the fact that point stays =
at the bottom of the window for a brief instant, and then only recenters =
when (I am **guessing**) which-func-update runs leads me to believe this =
is unintentional behavior.

Please let me know if you need any more information.

Regards,
Dale=




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42653; Package emacs. Full text available.

Message received at 42653 <at> debbugs.gnu.org:


Received: (at 42653) by debbugs.gnu.org; 3 Aug 2020 14:58:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 03 10:58:02 2020
Received: from localhost ([127.0.0.1]:45843 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k2buc-0001gf-0V
	for submit <at> debbugs.gnu.org; Mon, 03 Aug 2020 10:58:02 -0400
Received: from eggs.gnu.org ([209.51.188.92]:35642)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1k2bua-0001gB-A9
 for 42653 <at> debbugs.gnu.org; Mon, 03 Aug 2020 10:58:00 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:43318)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1k2buU-0008E5-QD; Mon, 03 Aug 2020 10:57:54 -0400
Received: from [176.228.60.248] (port=4640 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1k2buT-0001yq-Mq; Mon, 03 Aug 2020 10:57:54 -0400
Date: Mon, 03 Aug 2020 17:57:41 +0300
Message-Id: <833653bwuy.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Kevin Liu <kevin@HIDDEN>
In-Reply-To: <87d0485seb.fsf@HIDDEN> (message from Kevin Liu on Sun, 02
 Aug 2020 20:18:20 -0700)
Subject: Re: bug#42653: 28.0.50; scroll-margin is sometimes ignored with
 hl-line/display-line-numbers-mode
References: <87r1sqtzsy.fsf@HIDDEN> <83lfiyco47.fsf@HIDDEN>
 <87o8nutgpu.fsf@HIDDEN> <83wo2hawq8.fsf@HIDDEN>
 <878sewlrxt.fsf@HIDDEN> <83ft94bgzg.fsf@HIDDEN>
 <87d0485seb.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 42653
Cc: 42653 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Kevin Liu <kevin@HIDDEN>
> Cc: 42653 <at> debbugs.gnu.org
> Date: Sun, 02 Aug 2020 20:18:20 -0700
> 
> On  2 August 2020 19:28, Eli Zaretskii <eliz@HIDDEN> wrote:
> 
> > Please show a test case for each of these two, as I don't think I've
> > seen them in my testing.
> 
> My original test case should demonstrate this as well, as the buffer
> should be scrolled beyond EOB.  Then (previous-line) up until EOB is
> back out of view, then scroll back down and the problem should be
> visible.  I also recorded a video for illustration in case this is one
> of those only-on-my-machine cases (which it might be, as I built off a
> merged native-comp branch): https://www.youtube.com/watch?v=EKrbrVGbEZw
> 
> (progn
>   (global-hl-line-mode)
>   (setq scroll-margin 5)
>   (setq scroll-conservatively 101)
>   (view-hello-file)
>   (end-of-buffer))

Very well, I've now removed the EOB test.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42653; Package emacs. Full text available.

Message received at 42653 <at> debbugs.gnu.org:


Received: (at 42653) by debbugs.gnu.org; 3 Aug 2020 03:18:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 02 23:18:33 2020
Received: from localhost ([127.0.0.1]:43788 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k2Qzh-0003uz-Gg
	for submit <at> debbugs.gnu.org; Sun, 02 Aug 2020 23:18:33 -0400
Received: from sender4-of-o51.zoho.com ([136.143.188.51]:21127)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kevin@HIDDEN>) id 1k2Qzd-0003uo-J9
 for 42653 <at> debbugs.gnu.org; Sun, 02 Aug 2020 23:18:32 -0400
ARC-Seal: i=1; a=rsa-sha256; t=1596424704; cv=none; 
 d=zohomail.com; s=zohoarc; 
 b=Lhjg3uX/HzT+R+5o3J+C8xf+E8ukQNzOwHjbTcv2gAJtRssJDYv5VnLkC8bvsXn6cZywv/dL30pvxfubUdy1YvyJc4LD5rsavrJ3lM2kU93z/dMO1gRORJeKW4QxpLMHgxp58q4Ur9tGRCxZtso3FGref+Tj+BHqnebL7Vq6+zM=
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=zohomail.com;
 s=zohoarc; t=1596424704;
 h=Content-Type:Cc:Date:From:In-Reply-To:MIME-Version:Message-ID:References:Subject:To;
 bh=urrqokkC7Yh5pUmbWfSYXjDVG7uDuesGhyTv3Q0LgYA=; 
 b=Vgl9o3LTb958QwDLZI+nUFh78hPUffXqmn5FPcgXSxbnNTn7MxIttpg4/cdXZpZqQk5KEzpnw2hbh87JqWcdEJVywx96x5HTxMME5iU7RHI6PutFKN/482RUULOcMq9JSViLnkmDtxiHBesr2KWpDUKb30YacN6RkrIg9cCCIt0=
ARC-Authentication-Results: i=1; mx.zohomail.com;
 dkim=pass  header.i=nivekuil.com;
 spf=pass  smtp.mailfrom=kevin@HIDDEN;
 dmarc=pass header.from=<kevin@HIDDEN> header.from=<kevin@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1596424704; 
 s=mail; d=nivekuil.com; i=kevin@HIDDEN;
 h=References:From:To:Cc:Subject:In-reply-to:Date:Message-ID:MIME-Version:Content-Type;
 bh=urrqokkC7Yh5pUmbWfSYXjDVG7uDuesGhyTv3Q0LgYA=;
 b=UEZiUbCrU1q6Ypuoxv7gEFilWqYAt84Y3FKLczC9arKmiSCoVJ8irU/3h4yCHWt5
 Y4XFks2AnYILpWow4wPV3WO7S/qyv5WUw6YuJ3sdfxt5F2oC7xiuMQFP31YGrXFMnn5
 qw1eNWfOVgaxfU67jEJ2prdqQgaz2+kaF3CNcPC8=
Received: from machina (71.212.158.154 [71.212.158.154]) by mx.zohomail.com
 with SMTPS id 1596424701670756.9828086355242;
 Sun, 2 Aug 2020 20:18:21 -0700 (PDT)
References: <87r1sqtzsy.fsf@HIDDEN> <83lfiyco47.fsf@HIDDEN>
 <87o8nutgpu.fsf@HIDDEN> <83wo2hawq8.fsf@HIDDEN>
 <878sewlrxt.fsf@HIDDEN> <83ft94bgzg.fsf@HIDDEN>
User-agent: mu4e 1.5.3; emacs 28.0.50
From: Kevin Liu <kevin@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#42653: 28.0.50; scroll-margin is sometimes ignored with
 hl-line/display-line-numbers-mode
In-reply-to: <83ft94bgzg.fsf@HIDDEN>
Date: Sun, 02 Aug 2020 20:18:20 -0700
Message-ID: <87d0485seb.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-ZohoMailClient: External
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42653
Cc: 42653 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On  2 August 2020 19:28, Eli Zaretskii <eliz@HIDDEN> wrote:

> Please show a test case for each of these two, as I don't think I've
> seen them in my testing.

My original test case should demonstrate this as well, as the buffer
should be scrolled beyond EOB.  Then (previous-line) up until EOB is
back out of view, then scroll back down and the problem should be
visible.  I also recorded a video for illustration in case this is one
of those only-on-my-machine cases (which it might be, as I built off a
merged native-comp branch): https://www.youtube.com/watch?v=EKrbrVGbEZw

(progn
  (global-hl-line-mode)
  (setq scroll-margin 5)
  (setq scroll-conservatively 101)
  (view-hello-file)
  (end-of-buffer))




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42653; Package emacs. Full text available.

Message received at 42653 <at> debbugs.gnu.org:


Received: (at 42653) by debbugs.gnu.org; 3 Aug 2020 02:28:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 02 22:28:40 2020
Received: from localhost ([127.0.0.1]:43760 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k2QDQ-0002hP-Cj
	for submit <at> debbugs.gnu.org; Sun, 02 Aug 2020 22:28:40 -0400
Received: from eggs.gnu.org ([209.51.188.92]:57698)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1k2QDO-0002hD-Pi
 for 42653 <at> debbugs.gnu.org; Sun, 02 Aug 2020 22:28:39 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:60513)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1k2QDJ-0005kf-Ex; Sun, 02 Aug 2020 22:28:33 -0400
Received: from [176.228.60.248] (port=2712 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1k2QDI-0001kw-G9; Sun, 02 Aug 2020 22:28:33 -0400
Date: Mon, 03 Aug 2020 05:28:19 +0300
Message-Id: <83ft94bgzg.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Kevin Liu <kevin@HIDDEN>
In-Reply-To: <878sewlrxt.fsf@HIDDEN> (message from Kevin Liu on Sun, 02
 Aug 2020 13:24:34 -0700)
Subject: Re: bug#42653: 28.0.50; scroll-margin is sometimes ignored with
 hl-line/display-line-numbers-mode
References: <87r1sqtzsy.fsf@HIDDEN> <83lfiyco47.fsf@HIDDEN>
 <87o8nutgpu.fsf@HIDDEN> <83wo2hawq8.fsf@HIDDEN>
 <878sewlrxt.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 42653
Cc: 42653 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Kevin Liu <kevin@HIDDEN>
> Cc: 42653 <at> debbugs.gnu.org
> Date: Sun, 02 Aug 2020 13:24:34 -0700
> 
> 1. If (hl-line-mode 1), then scrolling down as you reach EOB will
> continue "collapsing" the margin, moving the cursor but not scrolling
> beyond EOB, until it hits the actual EOB line.  At that point,
> scroll-margin will again take effect and the screen will suddenly scroll
> down by scroll-margin lines (7 in my case).  This seems like a bug,
> off-by-one maybe?
> 
> 2. The intended behavior of disabling the bottom margin as EOB
> approaches seems to only apply when (hl-line-mode 1) or
> (display-line-numbers-mode 1).  This means that enabling these modes
> still affects scrolling behavior, which I think is fundamentally
> unexpected.

Please show a test case for each of these two, as I don't think I've
seen them in my testing.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42653; Package emacs. Full text available.

Message received at 42653 <at> debbugs.gnu.org:


Received: (at 42653) by debbugs.gnu.org; 2 Aug 2020 20:54:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 02 16:54:35 2020
Received: from localhost ([127.0.0.1]:43596 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k2L05-0003Bg-MP
	for submit <at> debbugs.gnu.org; Sun, 02 Aug 2020 16:54:35 -0400
Received: from sender4-of-o51.zoho.com ([136.143.188.51]:21104)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kevin@HIDDEN>) id 1k2KXG-0002TN-Py
 for 42653 <at> debbugs.gnu.org; Sun, 02 Aug 2020 16:24:48 -0400
ARC-Seal: i=1; a=rsa-sha256; t=1596399878; cv=none; 
 d=zohomail.com; s=zohoarc; 
 b=iTzkJBAepFGrNpzHOlvp6hltkVPEC02cg3b29uyLiS3xCh1fAz4psoqcSPgohpU7FP6fCRciQm1mQBKUz8rc6alzUzZGASlkZszeF24NEAXcq5txD/4SsxglBlNIWFm01O6GOs5eHuVJtcEkYEiRoJyFdSV81JmefGcOnazn9xA=
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=zohomail.com;
 s=zohoarc; t=1596399878;
 h=Content-Type:Cc:Date:From:In-Reply-To:MIME-Version:Message-ID:References:Subject:To;
 bh=NdQzAafqIeBS4/Tsfdoqja/c8djvVbZymASgZc0ZTRo=; 
 b=GFkxCWOAiqvNYDsbSZWVf3ADJSulje/YrLbUNib0x8eCmvHaauwh//4EvMDzTcW0zZoZ8YpTsQ2CH3lDCexsVUdLKhpEPHnjefm6mJx9LUWEqmx+QMX8E0tMLaahjlYZZt3oaGxTW5+NczrvBP8330XnPvn3vXJAOtTvVdJ6kjc=
ARC-Authentication-Results: i=1; mx.zohomail.com;
 dkim=pass  header.i=nivekuil.com;
 spf=pass  smtp.mailfrom=kevin@HIDDEN;
 dmarc=pass header.from=<kevin@HIDDEN> header.from=<kevin@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1596399878; 
 s=mail; d=nivekuil.com; i=kevin@HIDDEN;
 h=References:From:To:Cc:Subject:Message-ID:In-reply-to:Date:MIME-Version:Content-Type;
 bh=NdQzAafqIeBS4/Tsfdoqja/c8djvVbZymASgZc0ZTRo=;
 b=lY9k96ULLMWtgEWMh/ytjuVP1UmTp4J8+d8Lq0zzwadU+CepRdNtDr8yWkgEvXk3
 klzllxwTjLD1ZHspYGqKnCEAkXvfck8T3cvsIbiqbAWiXqLKw89cTf5XGP7KpRJT+Nw
 gTd1s517clkt0nbwCxqrJxFT9qxvBMq4VWsNp5k0=
Received: from machina (71.212.158.154 [71.212.158.154]) by mx.zohomail.com
 with SMTPS id 1596399875781245.43816353114005;
 Sun, 2 Aug 2020 13:24:35 -0700 (PDT)
References: <87r1sqtzsy.fsf@HIDDEN> <83lfiyco47.fsf@HIDDEN>
 <87o8nutgpu.fsf@HIDDEN> <83wo2hawq8.fsf@HIDDEN>
User-agent: mu4e 1.5.3; emacs 28.0.50
From: Kevin Liu <kevin@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#42653: 28.0.50; scroll-margin is sometimes ignored with
 hl-line/display-line-numbers-mode
Message-ID: <878sewlrxt.fsf@HIDDEN>
In-reply-to: <83wo2hawq8.fsf@HIDDEN>
Date: Sun, 02 Aug 2020 13:24:34 -0700
MIME-Version: 1.0
Content-Type: text/plain
X-ZohoMailClient: External
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42653
X-Mailman-Approved-At: Sun, 02 Aug 2020 16:54:32 -0400
Cc: 42653 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Thanks!  This has honestly bugged me forever and will improve my Emacs
experience immeasurably.

> /* if EOB is visible, disable bottom margin */

This is a very interesting change that I didn't know I wanted, and I
really like it.  I see two issues right now:

1. If (hl-line-mode 1), then scrolling down as you reach EOB will
continue "collapsing" the margin, moving the cursor but not scrolling
beyond EOB, until it hits the actual EOB line.  At that point,
scroll-margin will again take effect and the screen will suddenly scroll
down by scroll-margin lines (7 in my case).  This seems like a bug,
off-by-one maybe?

2. The intended behavior of disabling the bottom margin as EOB
approaches seems to only apply when (hl-line-mode 1) or
(display-line-numbers-mode 1).  This means that enabling these modes
still affects scrolling behavior, which I think is fundamentally
unexpected.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42653; Package emacs. Full text available.

Message received at 42653 <at> debbugs.gnu.org:


Received: (at 42653) by debbugs.gnu.org; 2 Aug 2020 15:34:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 02 11:34:00 2020
Received: from localhost ([127.0.0.1]:43211 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k2Fzs-0000wF-Ik
	for submit <at> debbugs.gnu.org; Sun, 02 Aug 2020 11:34:00 -0400
Received: from eggs.gnu.org ([209.51.188.92]:32838)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1k2Fzp-0000w0-RA
 for 42653 <at> debbugs.gnu.org; Sun, 02 Aug 2020 11:33:59 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:51615)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1k2Fzj-0005jC-Vy; Sun, 02 Aug 2020 11:33:52 -0400
Received: from [176.228.60.248] (port=1895 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1k2Fzj-0007kK-BH; Sun, 02 Aug 2020 11:33:51 -0400
Date: Sun, 02 Aug 2020 18:33:35 +0300
Message-Id: <83wo2hawq8.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Kevin Liu <kevin@HIDDEN>
In-Reply-To: <87o8nutgpu.fsf@HIDDEN> (message from Kevin Liu on Sat, 01
 Aug 2020 10:32:13 -0700)
Subject: Re: bug#42653: 28.0.50; scroll-margin is sometimes ignored with
 hl-line/display-line-numbers-mode
References: <87r1sqtzsy.fsf@HIDDEN> <83lfiyco47.fsf@HIDDEN>
 <87o8nutgpu.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 42653
Cc: 42653 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Kevin Liu <kevin@HIDDEN>
> Cc: 42653 <at> debbugs.gnu.org
> Date: Sat, 01 Aug 2020 10:32:13 -0700
> 
> On  1 August 2020 09:44, Eli Zaretskii <eliz@HIDDEN> wrote:
> 
> > I only see this when EOB is before end of the window, which I don't
> > think is a bug.
> 
> Could you elaborate on this?  I don't understand why it's proper for
> hl-line-mode and display-line-numbers-mode to affect scrolling behavior
> in any scenario, much less this one.

Indeed, they shouldn't.  I've misinterpreted the test case, sorry.

There was a 15-year old code that handled the logic of scroll-margin
when EOB is visible, and it had a bug.  This should now be fixed on
the master branch.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42653; Package emacs. Full text available.

Message received at 42653 <at> debbugs.gnu.org:


Received: (at 42653) by debbugs.gnu.org; 1 Aug 2020 18:25:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Aug 01 14:25:46 2020
Received: from localhost ([127.0.0.1]:41032 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k1wCX-0000Ds-VF
	for submit <at> debbugs.gnu.org; Sat, 01 Aug 2020 14:25:46 -0400
Received: from sender4-of-o51.zoho.com ([136.143.188.51]:21195)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kevin@HIDDEN>) id 1k1vMq-0007Sh-Dw
 for 42653 <at> debbugs.gnu.org; Sat, 01 Aug 2020 13:32:21 -0400
ARC-Seal: i=1; a=rsa-sha256; t=1596303135; cv=none; 
 d=zohomail.com; s=zohoarc; 
 b=cFDLjo2tB7IrmfV7J3ZtnlpggCqm74vJ5fup/zRyGHWnci+OUUhMiChIWs64wUWV/fV4csjJz7wPD8K3+fhGVeaGpxgBv8mPp6q801nA8y0i9CsZgiWnrUBMOFFv9vATyFdDnEM2MFCmJuXrD34nKz4yIMRbSPkWQsyL2xN/LEM=
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=zohomail.com;
 s=zohoarc; t=1596303135;
 h=Content-Type:Cc:Date:From:In-Reply-To:MIME-Version:Message-ID:References:Subject:To;
 bh=05L3vz/G/FaskOnKzxR7JlhZyC5L5hgR360BU6nRCN8=; 
 b=eE/nWV8O9Y8XpfPGXOH90sMcp5D3RQTj625F1AAjK0GbMqmdx4iLIXBAjAvvav2Obf1p4Pr5xUCm/GynpPrhJ63KVDGDeuSyTG8M8kBXUYFxstAEAqfddvpCQ3Cl6NKSuBXqBnZhwcMTsSQwtXdWolUcTiUei9wdHizRjM/QWfk=
ARC-Authentication-Results: i=1; mx.zohomail.com;
 dkim=pass  header.i=nivekuil.com;
 spf=pass  smtp.mailfrom=kevin@HIDDEN;
 dmarc=pass header.from=<kevin@HIDDEN> header.from=<kevin@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1596303135; 
 s=mail; d=nivekuil.com; i=kevin@HIDDEN;
 h=References:From:To:Cc:Subject:In-reply-to:Date:Message-ID:MIME-Version:Content-Type;
 bh=05L3vz/G/FaskOnKzxR7JlhZyC5L5hgR360BU6nRCN8=;
 b=bUHItEt7i2Oj9ksrJkyfULMo5VB9cVO2DV5LLJUwIrrcz0m9dWozX25XsrsZKXpk
 QNd+EZ8AcC6JsjwuWxggFpZ39EZZ0DQfBL4a3ekQ56kL9OEuNwQNfrhpCgCJaIN+NhY
 cqtQkLeBfEWorntnf/9cqOdjlumYLs+c9txtHukc=
Received: from machina (71.212.158.154 [71.212.158.154]) by mx.zohomail.com
 with SMTPS id 1596303134392228.64639191307208;
 Sat, 1 Aug 2020 10:32:14 -0700 (PDT)
References: <87r1sqtzsy.fsf@HIDDEN> <83lfiyco47.fsf@HIDDEN>
User-agent: mu4e 1.5.3; emacs 28.0.50
From: Kevin Liu <kevin@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#42653: 28.0.50; scroll-margin is sometimes ignored with
 hl-line/display-line-numbers-mode
In-reply-to: <83lfiyco47.fsf@HIDDEN>
Date: Sat, 01 Aug 2020 10:32:13 -0700
Message-ID: <87o8nutgpu.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-ZohoMailClient: External
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42653
X-Mailman-Approved-At: Sat, 01 Aug 2020 14:25:43 -0400
Cc: 42653 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On  1 August 2020 09:44, Eli Zaretskii <eliz@HIDDEN> wrote:

> I only see this when EOB is before end of the window, which I don't
> think is a bug.

Could you elaborate on this?  I don't understand why it's proper for
hl-line-mode and display-line-numbers-mode to affect scrolling behavior
in any scenario, much less this one.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42653; Package emacs. Full text available.

Message received at 42653 <at> debbugs.gnu.org:


Received: (at 42653) by debbugs.gnu.org; 1 Aug 2020 16:44:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Aug 01 12:44:43 2020
Received: from localhost ([127.0.0.1]:40981 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k1ucl-0006KO-II
	for submit <at> debbugs.gnu.org; Sat, 01 Aug 2020 12:44:43 -0400
Received: from eggs.gnu.org ([209.51.188.92]:40676)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1k1ucj-0006KC-PM
 for 42653 <at> debbugs.gnu.org; Sat, 01 Aug 2020 12:44:42 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:38499)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1k1uce-0004XG-B4; Sat, 01 Aug 2020 12:44:36 -0400
Received: from [176.228.60.248] (port=1566 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1k1ucd-0005KA-BQ; Sat, 01 Aug 2020 12:44:36 -0400
Date: Sat, 01 Aug 2020 19:44:24 +0300
Message-Id: <83lfiyco47.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Kevin Liu <kevin@HIDDEN>
In-Reply-To: <87r1sqtzsy.fsf@HIDDEN> (message from Kevin Liu on Sat, 01
 Aug 2020 03:39:57 -0700)
Subject: Re: bug#42653: 28.0.50; scroll-margin is sometimes ignored with
 hl-line/display-line-numbers-mode
References: <87r1sqtzsy.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 42653
Cc: 42653 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Kevin Liu <kevin@HIDDEN>
> Date: Sat, 01 Aug 2020 03:39:57 -0700
> 
> (progn
>  (global-hl-line-mode)
>  (setq scroll-margin 5)
>  (setq scroll-conservatively 101)
>  (view-hello-file)
>  (end-of-buffer))
> 
> Then (previous-line) until you see the problem.

I only see this when EOB is before end of the window, which I don't
think is a bug.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42653; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 1 Aug 2020 16:26:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Aug 01 12:26:40 2020
Received: from localhost ([127.0.0.1]:40961 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k1uLE-0005t8-PS
	for submit <at> debbugs.gnu.org; Sat, 01 Aug 2020 12:26:40 -0400
Received: from lists.gnu.org ([209.51.188.17]:43316)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kevin@HIDDEN>) id 1k1ovu-0003YZ-Qf
 for submit <at> debbugs.gnu.org; Sat, 01 Aug 2020 06:40:07 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:41824)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <kevin@HIDDEN>)
 id 1k1ovu-0000K3-Ix
 for bug-gnu-emacs@HIDDEN; Sat, 01 Aug 2020 06:40:06 -0400
Received: from sender4-of-o51.zoho.com ([136.143.188.51]:21179)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_CBC_SHA1:256)
 (Exim 4.90_1) (envelope-from <kevin@HIDDEN>)
 id 1k1ovs-0003ov-9w
 for bug-gnu-emacs@HIDDEN; Sat, 01 Aug 2020 06:40:06 -0400
ARC-Seal: i=1; a=rsa-sha256; t=1596278399; cv=none; 
 d=zohomail.com; s=zohoarc; 
 b=djxjpgziAR4w9hzPMkkrPlrCxsgUXjxfSpXcApyzgIiyt9a6R/YDFhBBfyXPQ9BDv+Zu9rIAberet0VBBeTIxv9suinxhdsUfUH2fwdRKIqr7ZghvtfmrgxVcSYM8AhBLmu5XjJ0CF4DFUu6Dr4eS9eezXS5qY3pEXaRD1AdTaM=
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=zohomail.com;
 s=zohoarc; 
 t=1596278399; h=Content-Type:Date:From:MIME-Version:Message-ID:Subject:To; 
 bh=PJN1h+Rks08Ftq6YDpgBVc+q2aYzcNRuNLYGc5+j05I=; 
 b=gsE1urW9HE2+Rd9VSy1eK6x0AiHQTaS90Cpq/hzbLI4pq5yebiTeIlUhVj5eMnCAhWzWzkIreRPoddoH71PeX9CJJHAe5a1FuJj16i6N1y6/5HGW3DVffsJKrl9lhuMjPpLOoMoMgX+hm6N7nH0ce3Srw1zZPftcb3FM95y0KVM=
ARC-Authentication-Results: i=1; mx.zohomail.com;
 dkim=pass  header.i=nivekuil.com;
 spf=pass  smtp.mailfrom=kevin@HIDDEN;
 dmarc=pass header.from=<kevin@HIDDEN> header.from=<kevin@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1596278399; 
 s=mail; d=nivekuil.com; i=kevin@HIDDEN;
 h=From:To:Subject:Date:Message-ID:MIME-Version:Content-Type;
 bh=PJN1h+Rks08Ftq6YDpgBVc+q2aYzcNRuNLYGc5+j05I=;
 b=JLGJQ+ylwn7RQItHH/Qlf99Ww9NjQhUfrSviGp58fKB8ySbhKKDRfD01OX/jaMaX
 CtWNW9rGK+Ls83VEaFJsdfiMtjCgj43WuWopP/NaP4EN3/6uk7tmWSeQWWzQfb9Is8p
 IoOJcXwERTv9E1BNVrXXXT4rusxXHKT5ZG6lpNyI=
Received: from machina (71.212.158.154 [71.212.158.154]) by mx.zohomail.com
 with SMTPS id 1596278398462153.8951947689842;
 Sat, 1 Aug 2020 03:39:58 -0700 (PDT)
User-agent: mu4e 1.5.3; emacs 28.0.50
From: Kevin Liu <kevin@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 28.0.50; scroll-margin is sometimes ignored with
 hl-line/display-line-numbers-mode
Date: Sat, 01 Aug 2020 03:39:57 -0700
Message-ID: <87r1sqtzsy.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-ZohoMailClient: External
Received-SPF: none client-ip=136.143.188.51; envelope-from=kevin@HIDDEN;
 helo=sender4-of-o51.zoho.com
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/08/01 06:40:00
X-ACL-Warn: Detected OS   = Linux 3.11 and newer [fuzzy]
X-Spam_score_int: -26
X-Spam_score: -2.7
X-Spam_bar: --
X-Spam_report: (-2.7 / 5.0 requ) BAYES_00=-1.9, DKIM_INVALID=0.1,
 DKIM_SIGNED=0.1, RCVD_IN_DNSWL_NONE=-0.0001, RCVD_IN_MSPIKE_H2=-1,
 SPF_HELO_NONE=0.001, SPF_NONE=0.001,
 URIBL_BLOCKED=0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Sat, 01 Aug 2020 12:26:35 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

This has been a bug since at least 24.x, and I think Eli even fixed
something like it once before:
https://lists.gnu.org/archive/html/bug-gnu-emacs/2012-11/msg00838.html

This problem is a little different because it involves scroll-margin.
When scrolling up, the cursor will seem to ignore it until it hits the
top, and then jumps back down to the margin.

To quickly reproduce this, run emacs -Q and then eval

(progn
 (global-hl-line-mode)
 (setq scroll-margin 5)
 (setq scroll-conservatively 101)
 (view-hello-file)
 (end-of-buffer))

Then (previous-line) until you see the problem.

Further reference:
- https://emacs.stackexchange.com/questions/48340/line-numbers-break-scroll-margin
- https://github.com/syl20bnr/spacemacs/issues/8224




Acknowledgement sent to Kevin Liu <kevin@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#42653; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 11 Sep 2020 10:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.